> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cove.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the screening data

> Get the screening data



## OpenAPI

````yaml api-reference/openapi.yaml get /v2/screening/{screeningId}
openapi: 3.0.1
info:
  title: proto/screening/v2/screening.proto
  version: version not set
servers:
  - url: /
security:
  - ApiTokenAuth: []
tags:
  - name: ScreeningService
paths:
  /v2/screening/{screeningId}:
    get:
      tags:
        - Screening V2
      summary: Get the screening data
      description: Get the screening data
      operationId: ScreeningService_GetData
      parameters:
        - name: screeningId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v2GetDataResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
      security:
        - ApiTokenAuth: []
components:
  schemas:
    v2GetDataResponse:
      type: object
      properties:
        user:
          type: string
        flowId:
          type: string
        userInfo:
          $ref: '#/components/schemas/GetDataResponseUserInfo'
        metadata:
          type: object
          additionalProperties:
            type: string
        screeningSteps:
          type: array
          items:
            $ref: '#/components/schemas/GetDataResponseScreeningSteps'
        data:
          $ref: '#/components/schemas/GetDataResponseScreeningData'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    GetDataResponseUserInfo:
      type: object
      properties:
        phoneNumber:
          type: string
    GetDataResponseScreeningSteps:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        timestamp:
          type: string
        provider:
          type: string
        idData:
          $ref: '#/components/schemas/GetDataResponseIDData'
        personalData:
          $ref: '#/components/schemas/GetDataResponsePersonalInfoData'
        employmentData:
          $ref: '#/components/schemas/GetDataResponseEmploymentData'
        bankData:
          $ref: '#/components/schemas/GetDataResponseBankData'
        residenceHistoryData:
          $ref: '#/components/schemas/GetDataResponseResidenceHistoryData'
        customFormData:
          $ref: '#/components/schemas/GetDataResponseCustomFormDataWrapper'
    GetDataResponseScreeningData:
      type: object
      properties:
        equifaxCredit:
          title: optional EquifaxCreditData equifax_credit = 1;
          type: object
        scanStatus:
          $ref: '#/components/schemas/v2GetDataResponseScanStatus'
        publicRecords:
          type: array
          items:
            $ref: '#/components/schemas/v2GetDataResponsePublicRecord'
            type: object
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties:
        type: object
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    GetDataResponseIDData:
      type: object
      properties:
        idValid:
          type: boolean
        documentType:
          type: string
        expirationDate:
          type: string
        idNumber:
          type: string
        name:
          $ref: '#/components/schemas/GetDataResponseIDDataName'
        email:
          type: string
        dateOfBirth:
          type: string
        address:
          $ref: '#/components/schemas/GetDataResponseIDDataAddress'
        verifications:
          $ref: '#/components/schemas/GetDataResponseIDDataVerifications'
        idPhotoUrls:
          type: array
          items:
            type: string
        selfieUrls:
          type: array
          items:
            type: string
        watchlistCheck:
          $ref: '#/components/schemas/IDDataWatchlistCheck'
    GetDataResponsePersonalInfoData:
      type: object
      properties:
        citizenship:
          type: string
        maritalStatus:
          title: string sin = 3;
          type: string
    GetDataResponseEmploymentData:
      type: object
      properties:
        employmentDetails:
          $ref: '#/components/schemas/GetDataResponseEmploymentDataEmploymentDetails'
    GetDataResponseBankData:
      type: object
      properties:
        infoWithBank:
          $ref: '#/components/schemas/BankDataInfoWithBank'
        incomeTransactions:
          type: array
          items:
            $ref: '#/components/schemas/BankDataIncomeTransactions'
        rentTransactions:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
        monthlySummary:
          type: array
          items:
            $ref: '#/components/schemas/BankDataMonthlySummary'
            type: object
    GetDataResponseResidenceHistoryData:
      type: object
      properties:
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/ResidenceHistoryDataAddresses'
    GetDataResponseCustomFormDataWrapper:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/v2GetDataResponseCustomFormData'
            type: object
    v2GetDataResponseScanStatus:
      type: object
      properties:
        criminalScan:
          type: string
        criminalScanLabel:
          type: string
        fraudScan:
          type: string
        fraudScanLabel:
          type: string
        globalClearanceScan:
          type: string
        globalClearanceScanLabel:
          type: string
        knownAffiliationScan:
          type: string
        knownAffiliationScanLabel:
          type: string
        ofacGlobalTerroristScan:
          type: string
        ofacGlobalTerroristScanLabel:
          type: string
        otherScan:
          type: string
        otherScanLabel:
          type: string
        politicallyExposedPersonScan:
          type: string
        politicallyExposedPersonScanLabel:
          type: string
        publicCourtRecords:
          type: string
        publicCourtRecordsLabel:
          type: string
        publicProfileScan:
          type: string
        publicProfileScanLabel:
          type: string
        publicSafetyScan:
          type: string
        publicSafetyScanLabel:
          type: string
        sexOffenderScan:
          type: string
        sexOffenderScanLabel:
          type: string
    v2GetDataResponsePublicRecord:
      type: object
      properties:
        topic:
          type: string
        matchConfidence:
          type: number
          format: double
        landlordName:
          type: string
        amountOwed:
          type: number
          format: double
        url:
          type: string
    GetDataResponseIDDataName:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
    GetDataResponseIDDataAddress:
      type: object
      properties:
        street:
          type: string
        city:
          type: string
        provinceState:
          type: string
        country:
          type: string
        postalCode:
          type: string
    GetDataResponseIDDataVerifications:
      type: object
      properties:
        liveness:
          type: boolean
        faceMatch:
          type: boolean
        idValid:
          type: boolean
    IDDataWatchlistCheck:
      type: object
      properties:
        hasMatch:
          type: boolean
        matchedLists:
          type: array
          items:
            $ref: '#/components/schemas/IDDataMatchedLists'
    GetDataResponseEmploymentDataEmploymentDetails:
      type: object
      properties:
        identity:
          $ref: '#/components/schemas/GetDataResponseEmploymentDataIdentity'
        proofOfIncome:
          type: array
          items:
            type: string
        employment:
          $ref: '#/components/schemas/GetDataResponseEmploymentDataEmployment'
        income:
          $ref: '#/components/schemas/GetDataResponseEmploymentDataIncome'
    BankDataInfoWithBank:
      type: object
      properties:
        name:
          type: string
        address:
          $ref: '#/components/schemas/GetDataResponseBankDataAddress'
    BankDataIncomeTransactions:
      type: object
      properties:
        balance:
          type: number
          format: double
        code:
          $ref: '#/components/schemas/protobufAny'
        credit:
          type: integer
          format: int64
        date:
          type: string
        debit:
          $ref: '#/components/schemas/protobufAny'
        description:
          type: string
        id:
          type: string
    BankDataMonthlySummary:
      type: object
      properties:
        month:
          type: string
        averageBalance:
          type: number
          format: double
        income:
          type: number
          format: double
        spending:
          type: number
          format: double
    ResidenceHistoryDataAddresses:
      type: object
      properties:
        residentialStatus:
          type: string
        address:
          $ref: '#/components/schemas/GetDataResponseResidenceHistoryDataAddress'
        startDate:
          type: string
        endDate:
          type: string
        reasonForMoving:
          type: string
        rentAmount:
          type: integer
          format: int64
        landlordName:
          type: string
        landlordEmail:
          type: string
        landlordPhone:
          type: string
        landlordReview:
          $ref: >-
            #/components/schemas/GetDataResponseResidenceHistoryDataLandlordReview
    v2GetDataResponseCustomFormData:
      type: object
      properties:
        question:
          type: string
        value:
          type: string
        type:
          type: string
    IDDataMatchedLists:
      type: object
      properties:
        countryCode:
          type: string
        entities:
          type: array
          items:
            $ref: '#/components/schemas/IDDataEntities'
        listType:
          type: string
        listTypes:
          type: array
          items:
            type: string
        matchTypes:
          type: array
          items:
            type: string
        name:
          type: string
        url:
          type: string
    GetDataResponseEmploymentDataIdentity:
      type: object
      properties:
        firstname:
          type: string
        lastname:
          type: string
        dateofbirth:
          type: string
          format: date-time
        email:
          type: string
        phone:
          type: string
        ssn:
          type: string
        address:
          type: string
        city:
          type: string
        state:
          type: string
        postalcode:
          type: string
    GetDataResponseEmploymentDataEmployment:
      type: object
      properties:
        employeeType:
          type: string
        employmentStatus:
          type: string
        jobTitle:
          type: string
        startDate:
          type: string
        minimumMonthsOfEmployment:
          type: integer
          format: int64
        weeklyHours:
          type: integer
          format: int64
        employer:
          $ref: '#/components/schemas/GetDataResponseEmploymentDataEmployer'
        reference:
          $ref: '#/components/schemas/EmploymentDataReference'
    GetDataResponseEmploymentDataIncome:
      type: object
      properties:
        annualIncome:
          type: integer
          format: int64
    GetDataResponseBankDataAddress:
      type: object
      properties:
        street:
          type: string
        city:
          type: string
        provinceState:
          type: string
        country:
          type: string
        postalCode:
          type: string
        fullAddress:
          type: string
    GetDataResponseResidenceHistoryDataAddress:
      type: object
      properties:
        street:
          type: string
        city:
          type: string
        provinceState:
          type: string
        country:
          type: string
        postalCode:
          type: string
        fullAddress:
          type: string
    GetDataResponseResidenceHistoryDataLandlordReview:
      type: object
      properties:
        email:
          type: string
        phone:
          type: string
        wouldRentToThemAgain:
          type: integer
          format: int64
        paysRentOnTime:
          type: integer
          format: int64
        cleanliness:
          type: integer
          format: int64
        didNotDamageProperty:
          type: integer
          format: int64
        additionalDetails:
          type: string
    IDDataEntities:
      type: object
      properties:
        aliasType:
          type: string
        birthdate:
          $ref: '#/components/schemas/protobufAny'
        name:
          type: string
    GetDataResponseEmploymentDataEmployer:
      type: object
      properties:
        name:
          type: string
        address:
          $ref: '#/components/schemas/GetDataResponseEmploymentDataAddress'
    EmploymentDataReference:
      type: object
      properties:
        firstname:
          type: string
        lastname:
          type: string
        phone:
          type: string
        email:
          type: string
    GetDataResponseEmploymentDataAddress:
      type: object
      properties:
        line1:
          type: string
        line2:
          type: string
        city:
          type: string
        state:
          type: string
        postalCode:
          type: string
        country:
          type: string
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      description: API authentication token
      name: Authorization
      in: header

````